> ## Documentation Index
> Fetch the complete documentation index at: https://velocity-api-docs.medshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers



## OpenAPI

````yaml /openapi.json get /v1/customers/
openapi: 3.0.3
info:
  title: Velocity for BigCommerce Zapier API
  version: 0.0.1
servers:
  - url: https://{tenant}.api.velocity.medshift.com/integrations/zapier
    variables:
      tenant:
        default: your-subdomain
        description: Your tenant's subdomain.
security: []
paths:
  /v1/customers/:
    get:
      tags:
        - Customers
      summary: List customers
      operationId: v1_customers_list
      parameters:
        - in: query
          name: bigcommerce_id
          schema:
            type: number
        - in: query
          name: custom_fields
          schema:
            type: string
        - in: query
          name: email
          schema:
            type: string
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedCustomerList'
          description: ''
      security:
        - ZapierAuthentication: []
components:
  schemas:
    PaginatedCustomerList:
      type: array
      items:
        $ref: '#/components/schemas/Customer'
    Customer:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        bigcommerce_id:
          type: integer
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        first_name:
          type: string
          minLength: 1
          maxLength: 100
        last_name:
          type: string
          minLength: 1
          maxLength: 100
        email:
          type: string
          format: email
          minLength: 1
          maxLength: 254
        billing_email:
          description: An optional email address to CC on invoices and receipts.
          oneOf:
            - type: string
              format: email
            - type: string
              maxLength: 0
        phone:
          type: string
          default: ''
          maxLength: 50
        company_name:
          type: string
          default: ''
          maxLength: 255
        bigcommerce_customer_group_id:
          type: integer
        bigcommerce_tax_exempt_category:
          type: string
          default: ''
          maxLength: 255
        send_account_creation_email:
          type: boolean
          writeOnly: true
          default: false
          description: Send a welcome email to the customer. Only valid on create.
        organization:
          allOf:
            - $ref: '#/components/schemas/ThinOrganization'
          readOnly: true
        organization_id:
          type: string
          format: uuid
          writeOnly: true
          nullable: true
        is_approved:
          type: boolean
          readOnly: true
        approved_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        approval_expiration:
          type: string
          format: date
          readOnly: true
          nullable: true
        approved_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        created_by:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomerCustomField'
        labels:
          type: array
          items:
            $ref: '#/components/schemas/Label'
          readOnly: true
        label_ids:
          type: array
          items:
            type: string
            format: uuid
            writeOnly: true
          writeOnly: true
      required:
        - approval_expiration
        - approved_at
        - approved_by
        - bigcommerce_id
        - created_at
        - created_by
        - custom_fields
        - email
        - first_name
        - id
        - is_approved
        - labels
        - last_name
        - organization
    ThinOrganization:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          minLength: 1
          maxLength: 255
      required:
        - id
        - name
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        email:
          type: string
          format: email
          minLength: 1
        picture:
          type: string
          format: uri
          minLength: 1
      required:
        - email
        - id
        - name
        - picture
    CustomerCustomField:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          readOnly: true
        value:
          nullable: true
      required:
        - id
        - name
        - value
    Label:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
      required:
        - id
        - name
  securitySchemes:
    ZapierAuthentication:
      type: apiKey
      in: header
      name: X-API-Key

````